Pkgcheck Warnings

  • All Versions
    • UnstableOnly
      for arch: [ arm64 ], all versions are unstable: [ 1.59-r1 ]
  • 1.59-r1
    • DeprecatedDep
      BDEPEND: deprecated dependency: >=dev-python/nose-1.3.7_p20221026[python_targets_pypy3(-)?,python_targets_python3_10(-)?,python_targets_python3_9(-)?]
    • DistutilsNonPEP517Build
      uses deprecated non-PEP517 build mode, please switch to DISTUTILS_USE_PEP517=...
    • PotentialStable
      slot(0), stabled arches: [ amd64, ppc, x86 ], potential: [ ~arm64 ]
    • PythonCompatUpdate
      PYTHON_COMPAT update available: python3_11
    • PythonGHDistfileSuffix
      GitHub archive 'python-memcached-1.59-gh.tar.gz' ('https://github.com/linsomniac/python-memcached/archive/1.59.tar.gz') is not using '.gh.tar.gz' suffix

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.